"use strict";

var _ref = require("../crypto.js");

var sha256 = _ref.sha256;
var _ref2 = require("../config.js");

var base = _ref2.base;
var _ref3 = require("../index.js");

var unlock = _ref3.unlock;


/*
 * Generate a locking script unlocked with password `password`.
 */
function lockingScriptWithPassword(password) {
  var commands = ["OP_SHA256", sha256(password), "OP_EQUALVERIFY"];
  return commands.join(" ");
}

/*
 * Return a function that is unlocked when provided with password `password`.
 */
function lockWithPassword(password) {
  return function (guess) {
    return unlock(guess, lockingScriptWithPassword(password));
  };
}

module.exports = lockWithPassword;